RSH(1)

NAME
rsh - remote shell

SYNOPSIS
rsh [-n] [-l username] host [command]
host [-n] [-l username] [command]

DESCRIPTION
Rsh connects to the specified host, and executes the specified command. Rsh copies its standard input to the remote command, the standard output of the remote command to its standard output, and the standard error of the remote command to its standard error. Interrupt, quit and terminate signals are propagated to the remote command; rsh normally terminates when the remote command does.

The remote username used is the same as your local username, unless you specify a different remote name with the -l option. This remote name must be equivalent (in the sense of rlogin(1)) to the originating account; no provision is made for specifying a password with a command.

If you omit command, then instead of executing a single command, you will be logged in on the remote host using rlogin(1).

Shell metacharacters which are not quoted are interpreted on local machine, while quoted metacharacters are interpreted on the remote machine. Thus the command

    rsh otherhost cat remotefile >> localfile

appends the remote file remotefile to the localfile localfile, while

    rsh otherhost cat remotefile ">>" otherremotefile

appends remotefile to otherremotefile.

OPTIONS

-l username
    Specify the remote user name.

-n  Connect standard input of the remote command to /dev/null. Do this if rsh should not inadvertently read from standard input.

SEE ALSO
rcp(1), rlogin(1), rhosts(5).

BUGS
You cannot run an interactive command (like rogue(6) or vi(1)); use rlogin(1).